import threading
from logger import Logger

class TestWriter(threading.Thread):
    def __init__(self, queue):
        threading.Thread.__init__(self)
        self.queue = queue

    def run(self):
        while True:
            try:
                msg = self.queue.get()
                Logger.debug("TestWriter receives: %s" % msg)
            except TypeError, e:
                Logger.log("Exception %s in TestWriter, run" % str(e))
            except Exception, e:
                Logger.log("Unexcepted exception %s in TestWriter: %s" % (e.__class__.__name__, str(e)))
